
// Add the following inclusion and declaration at the beginning of the User.c file
#define GPS

#if defined (GPS)
    #include <GCS.h>
    #include <Traffic.h>
    tGCSPos PoT_GCS;
#endif
// The struct tGCSPos is defined in the header file GCS.h under the installation folder
// .../ipg/hil/<version>/include/GCS.h

// in the function User_DeclQuants (void), add the following lines:
    
    int i;

# if defined (GPS)
    DDefDouble4 (NULL, "MyGPS.Lat", "rad", &PoT_GCS.Lat, DVA_None);
    DDefDouble4 (NULL, "MyGPS.Long", "rad", &PoT_GCS.Long, DVA_None);
    DDefDouble4 (NULL, "MyGPS.Elev", "m", &PoT_GCS.Elev, DVA_None);
#endif

// In the function User_In (const unsigned CycleNo), add the following lines:

#if defined (GPS)
    if (ExtInp_File_Enabled) {
        if (ExtInp_IF.User1.Enabled)
            PoT_GCS.Lat = ExtInp_IF.User1.Value;
        if (ExtInp_IF.User2.Enabled);
            PoT_GCS.Long = ExtInp_IF.User2.Value;
        if (ExtInp_IF.User3.Enabled);
            PoT_GCS.Elev = ExtInp_IF.User3.Value;

    }
#endif

// In the function User_Traffic_Calc (double dt), add the following lines:

#if defined (GPS)
    GCS_ConvGCStoFr0 (&PoT_GCS, Traffic_GetByTrfId(0)->t_0);
#endif

// Translate the GPS coordinates "PoT_GCS.XXX" to the cartesian coordinates
// of the first traffic-object in Fr0 with the function GCS_ConvGCStoFr0
// defined in the header file GCS.h




